<?php

function install_package(){

	$core = cmsCore::getInstance();
  
  // Добавляем поле slug
  if (!$core->db->isFieldExists('users', 'slug')) {
    $core->db->query("ALTER TABLE `{#}users` ADD `slug` VARCHAR(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT 'Адрес' AFTER `nickname`;");
  }

  // Добавление slug-а Администратору
  $core->db->query("UPDATE `{#}users` SET  `slug` = 'admin' WHERE `{#}users`.`id` =1;");
  
  // Копируем id в пустые поля slug-ов
  $core->db->query("UPDATE `{#}users` SET  `slug` = `id` WHERE ISNULL(`{#}users`.`slug`);");

  // Добавляем индекс slug-а
  $core->db->addIndex('users', 'slug', 'slug', 'UNIQUE');

  // Обновление настроек "Авторизации и регистрации"
  $core->db->query("UPDATE `{#}controllers` SET `options` = '---\nis_reg_enabled: 1\nreg_reason: >\n  К сожалению, нам пока\n  не нужны новые\n  пользователи\nis_reg_invites: null\nreg_captcha: null\nverify_email: null\nreg_user_slug: slug\nrules_url: /pages/about.html\nreg_auto_auth: 1\ndef_groups:\n  - 3\nauth_by: email\nauth_captcha: null\nfirst_auth_redirect: none\nauth_redirect: none\nrestricted_emails: |\n  *@shitmail.me\r\n  *@mailspeed.ru\r\n  *@temp-mail.ru\r\n  *@guerrillamail.com\r\n  *@12minutemail.com\r\n  *@mytempemail.com\r\n  *@spamobox.com\r\n  *@disposableinbox.com\r\n  *@filzmail.com\r\n  *@freemail.ms\r\n  *@anonymbox.com\r\n  *@lroid.com\r\n  *@yopmail.com\r\n  *@TempEmail.net\r\n  *@spambog.com\r\n  *@mailforspam.com\r\n  *@spam.su\r\n  *@no-spam.ws\r\n  *@mailinator.com\r\n  *@spamavert.com\r\n  *@trashcanmail.com\nrestricted_slugs: |\n  admin*\r\n  moder*\nrestricted_names: |\n  admin*\r\n  админ*\r\n  модератор\r\n  moderator\nrestricted_ips:\nis_invites: 1\nis_invites_strict: 1\ninvites_period: 7\ninvites_qty: 3\ninvites_min_karma: 0\ninvites_min_rating: 0\ninvites_min_days: 0\n' WHERE `{#}controllers`.`id` = 6;");

  // Обновление настроек "Профилей пользователей"
  $core->db->query("UPDATE `{#}controllers` SET `options` = '---\nis_ds_online: 1\nis_ds_rating: 1\nis_ds_popular: 1\nis_filter: 1\nlimit: 15\nslug_edit: allowed\nslug_field: slug\nis_auth_only: null\nis_status: 1\nis_wall: 1\nis_themes_on: 1\nmax_tabs: 6\nis_friends_on: 1\nis_karma_comments: 1\nkarma_time: 30\n' WHERE `{#}controllers`.`id` = 3;");

  // Изменение настроек поля "Никнейм"
  $core->db->query("UPDATE `{#}users_fields` SET `fieldset` = NULL,`is_fixed_type` = NULL,`is_system` = NULL,`options` = '---\r\nmin_length: 4\r\nmax_length: 100\r\nshow_symbol_count: 1\r\nregexp:\r\nlabel_in_item: left\r\nis_required: 1\r\nis_digits: null\r\nis_alphanumeric: null\r\nis_email: null\r\nis_unique: null\r\n' WHERE `{#}users_fields`.`id` = 5;");
  
  // Добавление поля "Логин"
  $core->db->query("INSERT INTO `{#}users_fields` (`id`, `ctype_id`, `name`, `title`, `hint`, `ordering`, `fieldset`, `type`, `is_in_list`, `is_in_item`, `is_in_filter`, `is_private`, `is_fixed`, `is_fixed_type`, `is_system`, `values`, `options`, `groups_read`, `groups_edit`, `filter_view`) VALUES (15, NULL, 'login', 'Логин', 'Разрешены заглавные или строчные латинские буквы (хотя бы одна), цифры и символ \"_\". Длина 4-64 символа.', 1, NULL, 'string', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '---\nmin_length: 4\nmax_length: 64\nshow_symbol_count: 1\nregexp: ''/^([a-z0-9\\_]*[a-z]+[a-z0-9\\_]*)$/i''\nlabel_in_item: left\nis_required: null\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\n', '---\n- 0\n', '---\n- 0\n', '---\n- 0\n');");
  
  // Добавляем поле "Логин"
  if (!$core->db->isFieldExists('users', 'login')) {
    $core->db->query("ALTER TABLE `{#}users` ADD `login` VARCHAR(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT 'Логин';");
  }

  // Добавление "Логина" Администратору
  $core->db->query("UPDATE `{#}users` SET  `login` = 'admin' WHERE `{#}users`.`id` =1;");
  
  // Копируем id в пустые поля "Логин"-ов
  $core->db->query("UPDATE `{#}users` SET  `login` = concat('user', `id`) WHERE ISNULL(`{#}users`.`login`);");

  // Включение slug-ов в пункте «Мой профиль» «Персонального меню»
  $core->db->query("UPDATE  `{#}menu_items` SET  `url` =  'users/{user.slug}' WHERE  `{#}menu_items`.`id` =13;");
  
  return true;

}